import React from 'react';
import { Menu, Icon } from 'antd';
import '../leftTab.less';
const SubMenu = Menu.SubMenu;
const MenuItemGroup = Menu.ItemGroup;


const LeftTab = React.createClass({
    getInitialState() {
        return {
            current: 'comprehensive',
        };
    },
    handleClick(e) {
        this.props.handlekey(e.key);
        this.setState({
            current: e.key,
        });
    },
    componentWillMount(){
        if ( window.location.hash ) {
            this.state.current = window.location.hash.substr(1);
        };
    },
    render() {
        return (
            <Menu onClick={this.handleClick}
                selectedKeys={[this.state.current]}
                defaultOpenKeys={['sub1']}
                mode="vertical"
                className="account-left"
                mode="inline"
                >
                <SubMenu key="sub1" title={<span>专利申请管理</span>}>
                    <Menu.Item key="comprehensive">
                        专利综合管理
                    </Menu.Item>
                    <Menu.Item key="payment">
                        待缴费专利管理
                    </Menu.Item>
                    <Menu.Item key="correction">
                        补正审查通知管理
                    </Menu.Item>
                    <Menu.Item key="express">
                        专利纸件收发登记
                    </Menu.Item>
                    <Menu.Item key="applyFee">
                        专利申请费用管理
                    </Menu.Item>
                </SubMenu>
                <SubMenu key="sub2" title={<span>软著申请管理</span>}>
                    <Menu.Item key="1">
                        专利综合管理
                    </Menu.Item>
                    <Menu.Item key="2">
                        待缴费专利管理
                    </Menu.Item>
                    <Menu.Item key="3">
                        补正审查通知管理
                    </Menu.Item>
                    <Menu.Item key="4">
                        专利纸件收发登记
                    </Menu.Item>
                    <Menu.Item key="5">
                        专利申请费用管理
                    </Menu.Item>
                </SubMenu>
                <SubMenu key="sub3" title={<span>高企认定管理</span>}>
                    <Menu.Item key="11">
                        专利综合管理
                    </Menu.Item>
                    <Menu.Item key="12">
                        待缴费专利管理
                    </Menu.Item>
                    <Menu.Item key="13">
                        补正审查通知管理
                    </Menu.Item>
                    <Menu.Item key="14">
                        专利纸件收发登记
                    </Menu.Item>
                    <Menu.Item key="15">
                        专利申请费用管理
                    </Menu.Item>
                </SubMenu>
                <SubMenu key="sub4" title={<span>科技项目申报管理</span>}>
                </SubMenu>
            </Menu>
        );
    }
});

export default LeftTab;